<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include
        android:id="@+id/toolbar_include"
        layout="@layout/common_toolbar_layout"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <View
        android:id="@+id/view_top"
        android:layout_width="match_parent"
        android:layout_height="92dp"
        android:layout_marginStart="14dp"
        android:layout_marginTop="10dp"
        android:layout_marginEnd="14dp"
        android:background="@drawable/shape_bg_frozen_amount_top"
        app:layout_constraintTop_toBottomOf="@+id/toolbar_include" />

    <TextView
        android:id="@+id/tv_amount_value"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="20dp"
        android:layout_marginTop="20dp"
        android:includeFontPadding="false"
        android:text="0"
        android:textColor="@color/color_225791"
        android:textSize="@dimen/sp_28"
        android:textStyle="bold"
        app:layout_constraintLeft_toLeftOf="@+id/view_top"
        app:layout_constraintTop_toTopOf="@+id/view_top"
        tools:text="280.00" />

    <TextView
        android:gravity="center"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:drawableLeft="@drawable/icon_frozen_amount_tip"
        android:drawablePadding="4dp"
        android:includeFontPadding="false"
        android:text="冻结金额(元)"
        android:textColor="@color/color_225791"
        android:textSize="@dimen/sp_13"
        app:layout_constraintLeft_toLeftOf="@+id/tv_amount_value"
        app:layout_constraintTop_toBottomOf="@+id/tv_amount_value" />

    <ImageView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="10dp"
        android:src="@drawable/icon_frozen_amount_top"
        app:layout_constraintBottom_toBottomOf="@+id/view_top"
        app:layout_constraintRight_toRightOf="@+id/view_top"
        app:layout_constraintTop_toTopOf="@+id/view_top" />


    <RelativeLayout
        android:id="@+id/rl_filter"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/view_top">

        <TextView
            android:id="@+id/tv_date"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_40"
            android:layout_marginLeft="14dp"
            android:drawableRight="@drawable/icon_arrow_down"
            android:drawablePadding="5dp"
            android:gravity="center"
            android:text="2021年9月"
            android:textColor="@color/black_333"
            android:textSize="@dimen/sp_14" />

        <TextView
            android:id="@+id/tv_income_type"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_50"
            android:layout_marginLeft="145dp"
            android:drawableRight="@drawable/icon_arrow_down"
            android:gravity="center"
            android:text="全部收入"
            android:textColor="@color/black_333"
            android:textSize="@dimen/sp_14"
            android:visibility="gone" />
    </RelativeLayout>

    <com.scwang.smart.refresh.layout.SmartRefreshLayout
        android:id="@+id/refreshLayout"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/rl_filter">



        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:overScrollMode="never"
            android:scrollbars="none" />
    </com.scwang.smart.refresh.layout.SmartRefreshLayout>
</androidx.constraintlayout.widget.ConstraintLayout>